summaryrefslogtreecommitdiff
path: root/git_hooks/pre-commit/makeobj_check
diff options
context:
space:
mode:
Diffstat (limited to 'git_hooks/pre-commit/makeobj_check')
-rwxr-xr-xgit_hooks/pre-commit/makeobj_check46
1 files changed, 46 insertions, 0 deletions
diff --git a/git_hooks/pre-commit/makeobj_check b/git_hooks/pre-commit/makeobj_check
new file mode 100755
index 00000000..279c3554
--- /dev/null
+++ b/git_hooks/pre-commit/makeobj_check
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# Copyright (c) 2010, Benjamin C. Meyer <ben@meyerhome.net>
+# Copyright (C) 2011 by Andrea Diamantini <adjam7 at gmail dot com>
+#
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License or (at your option) version 3 or any later version
+# accepted by the membership of KDE e.V. (or its successor approved
+# by the membership of KDE e.V.), which shall act as a proxy
+# defined in Section 14 of version 3 of the license.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+#######################################################################
+
+
+function compile {
+ unset GIT_DIR
+ echo "------- Attempting to build in $PWD"
+ makeobj --quiet
+ if [ $? != 0 ] ; then
+ echo "------- Build failed, fix failure before commiting";
+ exit 1
+ fi
+
+ echo "------- Attempting to build PASS"
+ echo ""
+}
+
+case "${1}" in
+ --about )
+ echo "Wherever you are make sure something compiles".
+ ;;
+ * )
+ compile
+ ;;
+esac